Learn how the endpoint to update order status works.
The updateVendorOrderStatus endpoint is used to update the order status of an order inside the Zonos System. This will be used to programmatically update the order’s shipping status or to request a cancellation.
The Zonos order ID can be passed with or without your store ID and hyphen (Example: 123-45678 or 45678).After order completion and payment, the customer will be redirected to an order completion / order thank you page hosted on your domain. The URL will contain a querystring parameter orderID that will contain this value.integer / string
orderStatus REQUIRED
This field is used to update the Zonos system with the new status of an order.The following order statuses are settable via this API.- VENDOR_PREPARING_ORDER
VENDOR_SHIPMENT_READY
VENDOR_LABELS_PRINTED
VENDOR_END_OF_DAY_COMPLETE
VENDOR_CANCELLATION_REQUEST``string |
| secret REQUIRED | API secret GUID provided by Zonos.string |
| store REQUIRED | Store ID provided by Zonosinteger |
HTTPS response
Message format: JSON
1{
2"success":"Updated Order: 99999 to new order status: VENDOR_PREPARING_ORDER"
3}
Error HTTP responses
HTTP Response Codes↕
Response Body Example/Description↕
406 - Not Acceptable
HTML Entity. HTTP “Accept” header is invalid.
415 - Unsupported media type
HTML Entity. HTTP “Content-Type” header is invalid.
200
“error”:“could not parse input”
200
“error”:“Parameter orderId required for updateVendorOrderStatus”
200
“error”:“Parameter orderStatus required for updateVendorOrderStatus.”
200
“error”:“orderId: 999-99999 is not a valid orderId”
200
“error”:“Could not retrieve order to updateVendorOrderStatus from orderId: 999-99999”
200
“error”:“OrderId: 999-99999 has already been cancelled and status cannot be updated.”
200
“error”:“Cannot update order status to status: VENDOR_CANCELLATION_REQUEST”
200
“error”:“Cannot update order status to invalid status: NEW_ORDER_STATUS”
200
“error”:“OrderId: 999-99999 already has current status: VENDOR_SHIPMENT_READY”
200
“error”:“OrderId: 999-99999 cannot be moved to order status: VENDOR_CANCELLATION_REQUEST while in status: VENDOR_END_OF_DAY_COMPLETE”
200
“error”:“New Status: NEW_ORDER_STATUS is not a valid order status”
200
“error”:“Could not process updateVendorOrderStatus.”
200
“error”:“Invalid security credentials”
Response JSON definitions
Message↕
Definition↕
success
This parameter will contain a summary of the update.string
error
This parameter will only be present in the response when an error has occurred and will contain a description of the cause.string
Update order status
Update order status
Learn how the endpoint to update order status works.The
updateVendorOrderStatusendpoint is used to update the order status of an order inside the Zonos System. This will be used to programmatically update the order’s shipping status or to request a cancellation.Current order status values
Below is a current list of order statuses that an order may have.
HTTPS request
POST |
https://api.iglobalstores.com/v1/updateVendorOrderStatushttps://api.iglobalstores.com/v1/updateVendorOrderStatusJSON key/value pairs in the request body
Message format: JSON
{"store": "999","secret": "f5bde245-f55e-414d-b722-80b25161c12c","orderId": "999-9999","orderStatus": "VENDOR_END_OF_DAY_COMPLETE"}Request JSON definitions
orderIdREQUIREDorderIDthat will contain this value.integer / stringorderStatusREQUIREDVENDOR_PREPARING_ORDERVENDOR_SHIPMENT_READYVENDOR_LABELS_PRINTEDVENDOR_END_OF_DAY_COMPLETEVENDOR_CANCELLATION_REQUEST``string| |secretREQUIRED | API secret GUID provided by Zonos.string| |storeREQUIRED | Store ID provided by Zonosinteger|HTTPS response
Message format: JSON
{"success": "Updated Order: 99999 to new order status: VENDOR_PREPARING_ORDER"}Error HTTP responses
Response JSON definitions
successstringerrorstringWas this page helpful?